package com.qihoo360.newssdk.net;
import com.qihoo360.newssdk.net.ResponseData;

interface IAjaxCallBack {
        /**
         * 返回更新间隔 微秒为单位，下载文件时 用到.可以下载过程中灵活控制进度
         *
         * @return
         */
        int getRate();

        /**
         * 是否需要更新，可以下载过程中灵活控制
         *
         * @return
         */
        boolean isProgress();

        /**
         * 开始下载,此时UI 弹起进度框
         */
        void onStart(String url);

        /**
         * 下载文件时进度信息
         *
         * @param url
         * @param count
         * @param current
         */
        void onProgress(String url, long count, long current);

        /**
         * 网络正常结果,文件时
         */
        void onResult(String url, inout ResponseData data);

        /**
         * 网络访问错误结果
         */
        void onError(String url, inout ResponseData data);
}